## org.eclipse.ocl.utilities
Interface CallingASTNode

All Superinterfaces:
  ASTNode, EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, AssociationClassCallExp, CallExp<C>, CallExp, CallExp, FeatureCallExp<C>, FeatureCallExp, FeatureCallExp, IterateExp<C,PM>, IterateExp, IterateExp, IteratorExp<C,PM>, IteratorExp, IteratorExp, LoopExp<C,PM>, LoopExp, LoopExp, MessageExp<C,COA,SSA>, MessageExp, MessageExp, NavigationCallExp<C,P>, NavigationCallExp, NavigationCallExp, OperationCallExp<C,O>, OperationCallExp, OperationCallExp, PropertyCallExp<C,P>, PropertyCallExp, PropertyCallExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, AssociationClassCallExpImpl, CallExpImpl, CallExpImpl, CallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, IterateExpImpl, IterateExpImpl, IterateExpImpl, IteratorExpImpl, IteratorExpImpl, IteratorExpImpl, LoopExpImpl, LoopExpImpl, LoopExpImpl, MessageExpImpl, MessageExpImpl, MessageExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, OperationCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, PropertyCallExpImpl

    public interface CallingASTNode

extends ASTNode

A representation of the model object 'Calling AST Node'.

The following features are supported:

- `Property Start Position`
- `Property End Position`

See Also:
  `UtilitiesPackage.getCallingASTNode()`

Method Summary
`int` `getPropertyEndPosition()` Returns the value of the 'Property End Position' attribute.
`int` `getPropertyStartPosition()` Returns the value of the 'Property Start Position' attribute.
`void` `setPropertyEndPosition(int value)` Sets the value of the '`Property End Position`' attribute
`void` `setPropertyStartPosition(int value)` Sets the value of the '`Property Start Position`' attribute

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPropertyStartPosition

    int getPropertyStartPosition()

  Returns the value of the 'Property Start Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Property Start Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Start Position' attribute.
  See Also:
    `setPropertyStartPosition(int)`, `UtilitiesPackage.getCallingASTNode_PropertyStartPosition()`

### setPropertyStartPosition

    void setPropertyStartPosition(int value)

  Sets the value of the '`Property Start Position`' attribute.

  Parameters:
    `value` - the new value of the 'Property Start Position' attribute.
  See Also:
    `getPropertyStartPosition()`

### getPropertyEndPosition

    int getPropertyEndPosition()

  Returns the value of the 'Property End Position' attribute. The default value is `"-1"`.

  If the meaning of the 'Property End Position' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property End Position' attribute.
  See Also:
    `setPropertyEndPosition(int)`, `UtilitiesPackage.getCallingASTNode_PropertyEndPosition()`

### setPropertyEndPosition

    void setPropertyEndPosition(int value)

  Sets the value of the '`Property End Position`' attribute.

  Parameters:
    `value` - the new value of the 'Property End Position' attribute.
  See Also:
    `getPropertyEndPosition()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.